Skip to main content
GET
https://api.tensormesh.ai
/
v1
/
users
/
api-keys
List User API Keys
curl --request GET \
  --url https://api.tensormesh.ai/v1/users/api-keys \
  --header 'Authorization: Bearer <token>'
{
  "apiKeys": [
    {
      "id": "<string>",
      "name": "<string>",
      "scopes": [
        "<string>"
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "expiresAt": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication using an access token. Format: Bearer <access_token>

Query Parameters

userId
string

The user ID that owns these keys.

includeDeleted
boolean

Whether to include soft-deleted keys.

Response

A successful response.

ListUserApiKeysResponse is the response containing user API keys.

apiKeys
object[]

API keys owned by the user.